package com.amirouter.server.asterisk;

import org.asteriskjava.manager.event.ManagerEvent;

/**
 * Interface that need to need to be implemented by all instances that which to
 * receive an event from a proxied asterisk server.
 */
public interface AsteriskEvtHandler {

	/**
	 * Method to be called by the notifier routine
	 * 
	 * @param event the event received from the proxied asterisk server.
	 */
	public void onRemAsteriskEvt(ManagerEvent event);
}
