package com.amirouter.server.util;

/**
 * Represent asterisk server proxy registration result
 */
public class RegisterResult implements java.io.Serializable {

	private static final long serialVersionUID = 5073654394844252852L;

	NodeInfo nodeInfo;
	private Integer regId;

	/**
	 * Constructor
	 * 
	 * @param nodeInfo asterisk server config node info
	 * @param regId    registration id
	 */
	public RegisterResult(NodeInfo nodeInfo, Integer regId) {
		this.nodeInfo = nodeInfo;
		this.regId = regId;
	}

	/**
	 * @return the nodeInfo
	 */
	public NodeInfo getNodeInfo() {
		return nodeInfo;
	}

	/**
	 * @return the regId
	 */
	public Integer getRegId() {
		return regId;
	}

	/**
	 * @param regId the regId to set
	 */
	public void setRegId(Integer regId) {
		this.regId = regId;
	}

}
