package com.amirouter.server.util;

/**
 * Various utilities class
 */
public final class Utilities {

	private Utilities() {
		throw new java.lang.UnsupportedOperationException("Utilities class and cannot be instantiated");
	}

	/**
	 * Tell if a passed string is null or empty
	 * 
	 * @param inStr input string to analyze
	 * @return true null or empty else false otherwise
	 */
	public static boolean isStrEmptyOrNull(String inStr) {
		if ((inStr == null) || (inStr.trim().isEmpty())) {
			return true;
		}

		return false;
	}

}
