package com.amirouter.server.CLI;

import org.jline.utils.AttributedString;
import org.jline.utils.AttributedStyle;
import org.springframework.shell.jline.PromptProvider;
import org.springframework.stereotype.Component;

/**
 * Customization of amirouter shell prompt
 */
@Component
public class CustomPrompt implements PromptProvider {
	@Override
	public AttributedString getPrompt() {

		return new AttributedString("Server:> ", AttributedStyle.DEFAULT.foreground(AttributedStyle.YELLOW));
	}
}
