package com.amirouter.server.repo;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import com.amirouter.server.model.ExExtension;
import com.amirouter.server.model.TeTenant;

/**
 * Extension repository
 */
@Repository
public interface ExtensionRepository extends JpaRepository<ExExtension, Long> {
	ExExtension findByTeTenantAndExNumber(TeTenant teTenant, String exNumber);
}
