package com.amirouter.server.util;

/**
 * Represent a single asterisk server config node
 */
public class NodeInfo implements java.io.Serializable {

	private static final long serialVersionUID = -1444518089917137547L;

	private String hostname;
	private String nodename;
	private boolean usesipregs;

	/**
	 * @param hostname
	 * @param nodename
	 * @param usesipregs
	 */
	public NodeInfo(String hostname, String nodename, boolean usesipregs) {
		this.hostname = hostname;
		this.nodename = nodename;
		this.usesipregs = usesipregs;
	}

	/**
	 * @return the hostname
	 */
	public String getHostname() {
		return hostname;
	}

	/**
	 * @return the nodename
	 */
	public String getNodename() {
		return nodename;
	}

	/**
	 * @return the usesipregs
	 */
	public boolean isUsesipregs() {
		return usesipregs;
	}

}
